<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="<?php bloginfo('charset'); ?>" />
<title><?php title_element(); ?><?php bloginfo('blogname'); ?></title>
<?php
if(is_home())
	{
	$description = get_bloginfo('description');
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_page())
	{
	$description = get_bloginfo('description');
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_single())
	{
	if(have_posts()) : while(have_posts()) : the_post();
		$description = preg_replace('/\r|\n|\r\n/','',get_the_excerpt());
		$description = mb_strimwidth(strip_tags($description),0,160,"...");
	endwhile; endif;
	}
if(is_category())
	{
	$description = 'カテゴリー「'.single_cat_title('',false)."」に属する記事。";
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_tag())
	{
	$description = 'タグ「'.single_tag_title('',false)."」に属する記事。";
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_year())
	{
	$description = get_the_time('Y年')."の記事";
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_month())
	{
	$description = get_the_time('Y年n月')."の記事";
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
if(is_day())
	{
	$description = get_the_time('Y年n月j日')."の記事";
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
elseif(is_post_type_archive()) //カスタム投稿タイプなど
	{
	$description = get_bloginfo('description');
	if( $paged > 1 )
		{
		$description .= " - ".$paged."ページ目。";
		}
	}
?>
<meta name="description" content="<?php echo $description; unset($description); ?>" />
<?php meta_link(); ?>
<meta name="viewport" content="width=device-width" />
<meta name="robots" content="noarchive" />
<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('rss2_url'); ?>" title="<?php bloginfo('blogname'); ?> RSS 2.0" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
<?php wp_head(); ?>
</head>
