<div id="site-navigation">
<dl class="blog">
<?php if ($pages = &get_pages('')) : ?>
<dt>ページ</dt>
<dd><ul>
<?php wp_list_pages('sort_column=menu_order&title_li=0'); ?>
</ul></dd>
<?php endif; ?>
<dt>カテゴリー</dt>
<dd><ul>
<?php wp_list_categories('title_li='); ?>
</ul></dd>
<?php if (function_exists('get_tags')) : ?>
<dt>タグクラウド</dt>
<dd>
<?php tag_cloud(); ?>
</dd>
<?php endif; ?>
<dt>アーカイブ</dt>
<dd><ul class="archive-list">
<?php my_get_archives(); ?>
</ul></dd>
<dt><label for="blog-search">ブログ内検索</label></dt>
<dd><form method="get" action="<?php bloginfo('home'); ?>">
<p>
<input type="text" name="s" id="blog-search" size="20" placeholder="keyword(s)" />
<input type="submit" value="検索する" />
</p>
</form></dd>
<dt>feed</dt>
<dd><ul>
<li><a href="<?php bloginfo('rss2_url'); ?>">RSS feed</a></li>
</ul></dd>
<!--/blog--></dl>
<dl class="works">
<!-- ***** 最近更新したイラスト・漫画【開始】 ***** -->
<dt>最近更新した<?php custom_picture_title_ja() ?></dt>
<dd><?php $query = array('post_type' => 'picture', 'posts_per_page' => 5); query_posts($query); if (have_posts()) : ?>
<ul class="thumbnail-list">
<?php while(have_posts()) : the_post(); ?>
<li><a href="<?php the_permalink(); ?>"><?php if(has_post_thumbnail()) : the_post_thumbnail('thumbnail-50'); else : ?><img src="<?php bloginfo('template_directory'); ?>/image/no-image-50x50.gif" alt="no image" /><?php endif; ?></a></li>
<?php endwhile; ?>
</ul>
<?php endif; ?></dd>
<dt><?php custom_picture_title_ja() ?>につけたタグ</dt>
<dd><ul class="tag-list">
<?php
				if(is_singular('picture')) : 
					$catinfos = get_the_terms($post->ID, 'picture-tag');
					foreach ( $catinfos as $catinfo ) : 
						$mycat = $catinfo;
						break;
					endforeach;
					wp_list_categories('taxonomy=picture-tag&title_li=&current_category='.$mycat->term_id);
				else :
					wp_list_categories('taxonomy=picture-tag&title_li=');
				endif;
 ?>
</ul></dd>
<!-- ***** 最近更新したイラスト・漫画【終了】 ***** -->
<!-- ***** 最近更新した小説【開始】 ***** -->
<dt>最近更新した<?php custom_text_title_ja() ?></dt>
<dd><?php $query = array('post_type' => 'text', 'posts_per_page' => 5); query_posts($query); if (have_posts()) : ?>
<ul>
<?php while(have_posts()) : the_post(); ?>
<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
<?php endwhile; ?>
</ul>
<?php endif; ?></dd>
<dt><?php custom_text_title_ja() ?>につけたタグ</dt>
<dd><ul class="tag-list">
<?php
				if(is_singular('text')) : 
					$catinfos = get_the_terms($post->ID, 'text-tag');
					foreach ( $catinfos as $catinfo ) : 
						$mycat = $catinfo;
						break;
					endforeach;
					wp_list_categories('taxonomy=text-tag&title_li=&current_category='.$mycat->term_id);
				else :
					wp_list_categories('taxonomy=text-tag&title_li=');
				endif;
 ?>
</ul></dd>
<!-- ***** 最近更新した小説【終了】 ***** -->
<!--/works--></dl>
<!--/site-navigation--></div>